Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.siebeleai
Interface SiebelEAIClientApplication

    public interface SiebelEAIClientApplication

Siebel EAI Application interface.

Version:
  $Revision: 1.6 $

Method Summary
`void` | `addHTTPHeader(java.lang.String name, java.lang.String value)` Adds an HTTP request header to be sent along with the next HTTP post.
`void` | `clearHTTPHeaders()` Removes all HTTP request headers.
`java.util.Map` | `getHTTPHeaders()` Returns all the user defined HTTP headers
`java.lang.String` | `getIntegrationObjectName()` Gets the name of the integration object.
`boolean` | `getLogin()` Gets the login flag.
`boolean` | `getLogoff()` Gets the Logoff flag.
`java.lang.String` | `getPassword()` Gets the password.
`int` | `getResponseCode()` Gets the response code from the last post method execution.
`java.lang.String` | `getResponseHeaderString()` Gets the value of the response header from the last post method execution.
`java.lang.String` | `getResultData()` Gets the value of the result data from the last post method execution.
`java.lang.String` | `getSiebelUrl()` Gets the URL.
`java.lang.String` | `getSWEExtCmd()` Gets the command for SWEExtCmd.
`java.lang.String` | `getSWEExtData()` Gets the data for SWEExtData.
`java.lang.String` | `getSWEExtSource()` Gets the source for SWEExtSource.
`java.lang.String` | `getTagSiebelExecuteDeletePrefix()` Gets the Siebel Execute Delete Prefix.
`java.lang.String` | `getTagSiebelExecuteQueryPagePrefix()` Gets the Siebel Execute Upsert Prefix.
`java.lang.String` | `getTagSiebelExecuteQueryPrefix()` Gets the Siebel Execute Query Prefix.
`java.lang.String` | `getTagSiebelExecuteUpsertPrefix()` Gets the Siebel Execute Upsert Prefix.
`java.lang.String` | `getTagSiebelMsgSuffix()` Gets the Siebel message suffix.
`java.lang.String` | `getUsername()` Gets the user name.
`java.lang.String` | `getXmlData()` Gets the XML data.
`boolean` | `login()` Sends the ExecuteLogin command to the Siebel web engine.
`boolean` | `logoff()` Sends the ExecuteLogoff command to the Siebel web engine.
`boolean` | `postSiebelForm()` Performs an HTTP POST to the Siebel web engine.
`void` | `removeHTTPHeader(java.lang.String name)` Removes an HTTP request header.
`void` | `setIntegrationObjectName(java.lang.String val)` Sets the name of the integration object.
`void` | `setLogin(boolean bLogin)` Sets the login flag.
`void` | `setLogoff(boolean bLogoff)` Sets the logoff flag.
`void` | `setPassword(java.lang.String val)` Sets the password.
`void` | `setSiebelUrl(java.lang.String val)` Sets the URL.
`void` | `setSWEExtCmd(java.lang.String val)` Sets the SWEExtCmd
`void` | `setSWEExtData(java.lang.String val)` Sets the data for SWEExtData.
`void` | `setSWEExtSource(java.lang.String val)` Sets the source for SWEExtSource.
`void` | `setUsername(java.lang.String val)` Sets the user name.
`void` | `setXmlData(java.lang.String val)` Sets the XML data.

Method Detail

### postSiebelForm

    boolean postSiebelForm()
                           throws SiebelEAIApplicationException

  Performs an HTTP POST to the Siebel web engine.

  Returns:
    True if successful, otherwise false.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### login

    boolean login()
                  throws SiebelEAIApplicationException

  Sends the ExecuteLogin command to the Siebel web engine.

  Returns:
    True if successful, otherwise false.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### logoff

    boolean logoff()
                   throws SiebelEAIApplicationException

  Sends the ExecuteLogoff command to the Siebel web engine.

  Returns:
    True if successful, otherwise false.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getResultData

    java.lang.String getResultData()
                                   throws SiebelEAIApplicationException

  Gets the value of the result data from the last post method execution.

  Returns:
    HTTP result.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getResponseCode

    int getResponseCode()
                        throws SiebelEAIApplicationException

  Gets the response code from the last post method execution.

  Returns:
    HTTP response code.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getResponseHeaderString

    java.lang.String getResponseHeaderString()
                                             throws SiebelEAIApplicationException

  Gets the value of the response header from the last post method execution.

  Returns:
    HTTP response header.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getUsername

    java.lang.String getUsername()
                                 throws SiebelEAIApplicationException

  Gets the user name.

  Returns:
    The user name.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### setUsername

    void setUsername(java.lang.String val)
                     throws SiebelEAIApplicationException

  Sets the user name.

  Parameters:
    `val` - The user name.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getPassword

    java.lang.String getPassword()
                                 throws SiebelEAIApplicationException

  Gets the password.

  Returns:
    The password.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### setPassword

    void setPassword(java.lang.String val)
                     throws SiebelEAIApplicationException

  Sets the password.

  Parameters:
    `val` - The password
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getSWEExtSource

    java.lang.String getSWEExtSource()
                                     throws SiebelEAIApplicationException

  Gets the source for SWEExtSource.

  Returns:
    SWEExtSource
  Throws:
    `SiebelEAIApplicationException` - upon error.

### setSWEExtSource

    void setSWEExtSource(java.lang.String val)
                         throws SiebelEAIApplicationException

  Sets the source for SWEExtSource.

  Parameters:
    `val` - SWEExtSource
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getSWEExtCmd

    java.lang.String getSWEExtCmd()
                                  throws SiebelEAIApplicationException

  Gets the command for SWEExtCmd.

  Returns:
    SWEExtCmd
  Throws:
    `SiebelEAIApplicationException` - upon error.

### setSWEExtCmd

    void setSWEExtCmd(java.lang.String val)
                      throws SiebelEAIApplicationException

  Sets the SWEExtCmd

  Parameters:
    `val` - SWEExtCmd
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getSWEExtData

    java.lang.String getSWEExtData()
                                   throws SiebelEAIApplicationException

  Gets the data for SWEExtData.

  Returns:
    SWEExtData
  Throws:
    `SiebelEAIApplicationException` - upon error.

### setSWEExtData

    void setSWEExtData(java.lang.String val)
                       throws SiebelEAIApplicationException

  Sets the data for SWEExtData.

  Parameters:
    `val` - SWEExtData
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getSiebelUrl

    java.lang.String getSiebelUrl()
                                  throws SiebelEAIApplicationException

  Gets the URL.

  Returns:
    The URL
  Throws:
    `SiebelEAIApplicationException` - upon error.

### setSiebelUrl

    void setSiebelUrl(java.lang.String val)
                      throws SiebelEAIApplicationException

  Sets the URL.

  Parameters:
    `val` - The URL
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getXmlData

    java.lang.String getXmlData()
                                throws SiebelEAIApplicationException

  Gets the XML data.

  Returns:
    The XML data
  Throws:
    `SiebelEAIApplicationException` - upon error.

### setXmlData

    void setXmlData(java.lang.String val)
                    throws SiebelEAIApplicationException

  Sets the XML data.

  Parameters:
    `val` - The XML data
  Throws:
    `SiebelEAIApplicationException` - upon error.

### setLogin

    void setLogin(boolean bLogin)
                  throws SiebelEAIApplicationException

  Sets the login flag.

  Parameters:
    `bLogin` - login flag
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getLogin

    boolean getLogin()
                     throws SiebelEAIApplicationException

  Gets the login flag.

  Returns:
    The Login flag
  Throws:
    `SiebelEAIApplicationException` - upon error.

### setLogoff

    void setLogoff(boolean bLogoff)
                   throws SiebelEAIApplicationException

  Sets the logoff flag.

  Parameters:
    `bLogoff` - The logoff flag
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getLogoff

    boolean getLogoff()
                      throws SiebelEAIApplicationException

  Gets the Logoff flag.

  Returns:
    The logoff flag
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getIntegrationObjectName

    java.lang.String getIntegrationObjectName()
                                              throws SiebelEAIApplicationException

  Gets the name of the integration object.

  Returns:
    The integration object name
  Throws:
    `SiebelEAIApplicationException` - upon error.

### setIntegrationObjectName

    void setIntegrationObjectName(java.lang.String val)
                                  throws SiebelEAIApplicationException

  Sets the name of the integration object.

  Parameters:
    `val` - The integration object name
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getTagSiebelExecuteQueryPrefix

    java.lang.String getTagSiebelExecuteQueryPrefix()
                                                    throws SiebelEAIApplicationException

  Gets the Siebel Execute Query Prefix.

  Returns:
    The Siebel Execute Query Prefix
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getTagSiebelExecuteUpsertPrefix

    java.lang.String getTagSiebelExecuteUpsertPrefix()
                                                     throws SiebelEAIApplicationException

  Gets the Siebel Execute Upsert Prefix.

  Returns:
    The Siebel Execute Upsert Prefix
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getTagSiebelExecuteDeletePrefix

    java.lang.String getTagSiebelExecuteDeletePrefix()
                                                     throws SiebelEAIApplicationException

  Gets the Siebel Execute Delete Prefix.

  Returns:
    The Siebel Execute Delete Prefix
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getTagSiebelMsgSuffix

    java.lang.String getTagSiebelMsgSuffix()
                                           throws SiebelEAIApplicationException

  Gets the Siebel message suffix.

  Returns:
    The Siebel message suffix
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getTagSiebelExecuteQueryPagePrefix

    java.lang.String getTagSiebelExecuteQueryPagePrefix()
                                                        throws SiebelEAIApplicationException

  Gets the Siebel Execute Upsert Prefix.

  Returns:
    The Siebel Execute QueryPage Prefix
  Throws:
    `SiebelEAIApplicationException` - upon error.

### clearHTTPHeaders

    void clearHTTPHeaders()
                          throws SiebelEAIApplicationException

  Removes all HTTP request headers. If there are no request headers, then nothing is done.

  Throws:
    `SiebelEAIApplicationException` - upon error.

### addHTTPHeader

    void addHTTPHeader(java.lang.String name,
                       java.lang.String value)
                       throws SiebelEAIApplicationException

  Adds an HTTP request header to be sent along with the next HTTP post.

  Parameters:
    `name` - The name of the HTTP header.
    `value` - The value of the HTTP header.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### removeHTTPHeader

    void removeHTTPHeader(java.lang.String name)
                          throws SiebelEAIApplicationException

  Removes an HTTP request header. If the request header does not exist, nothing is done

  Parameters:
    `name` - The name of the HTTP header to remove.
  Throws:
    `SiebelEAIApplicationException` - upon error.

### getHTTPHeaders

    java.util.Map getHTTPHeaders()

  Returns all the user defined HTTP headers

  Returns:
    Map containing all user defined HTTP headers

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Siebel EAI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.